#!/bin/bash

if [ -f "$HOME/.vimrc" ]
then
  result="`grep -c cpptesk ~/.vimrc`"
else
  result="0"
fi

#result2=`find ../etc/vim/syntax -name *.vim`
if [ -d ../etc/vim/syntax ]
then
  case $result in
  "0" )
    cat ../etc/vim/.vimrc >> "$HOME/.vimrc"
    mkdir -p ~/.vim/syntax
    cp -f ../etc/vim/syntax/* ~/.vim/syntax/
    tput setaf 2
    echo "[OK] C++TESK Testing Toolkit's syntax highlighting for VIM has been installed."
    tput sgr0
  ;;
  * )
    cp -f ../etc/vim/syntax/* ~/.vim/syntax/
    tput setaf 2
    echo "[OK] C++TESK Testing Toolkit's syntax highlighting for VIM has been updated."
    tput sgr0
  ;;
  esac
else
    tput setaf 1
    echo "[FAILED] Some problems with syntax highlighting for VIM have occured. Ask support!"
    tput sgr0
fi
